# Interface BuildTask

@Incubating public interface BuildTask
A task that was executed when running a specific build.

Since:
  2.6
See Also:
  - `BuildResult`

## Method Summary

Modifier and Type
Method
Description
`TaskOutcome`
`getOutcome()`
The outcome of attempting to execute this task.
`String`
`getPath()`
The unique path of the task.

## Method Details

### getPath

String getPath()
The unique path of the task.

The task path is a combination of its enclosing project's path and its name. For example, in multi project build the `bar` task of the `foo` project has a path of `:foo:bar`. In a single project build, the `bar` task of the lone project has a path of `:bar`.

This value corresponds to the value output by Gradle for the task during its normal progress logging.

Returns:
  the task path

### getOutcome

TaskOutcome getOutcome()
The outcome of attempting to execute this task.

Returns:
  the task outcome